(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     69796,       1671]
NotebookOptionsPosition[     69326,       1651]
NotebookOutlinePosition[     69702,       1668]
CellTagsIndexPosition[     69659,       1665]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 InterpretationBox[GridBox[{
    {GridBox[{
       {
        RowBox[{
         RowBox[{"Running", "[", "field_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", "lam", "}"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"{", "lam", "}"}], "=", 
               RowBox[{"Dimensions", "[", "field", "]"}]}], ",", 
              RowBox[{"tot", "=", "0.`"}]}], "}"}], ";", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"tot", "=", 
                RowBox[{"tot", "+", 
                 RowBox[{
                 "field", "\[LeftDoubleBracket]", "i", 
                  "\[RightDoubleBracket]"}]}]}], ";", "tot"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", "lam"}], "}"}]}], "]"}]}]}], 
          "]"}]}]}
      },
      BaselinePosition->{Baseline, {1, 1}},
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{"Columns" -> {{
           Scaled[0.999]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}}]}
   },
   BaselinePosition->{Baseline, {1, 1}},
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}}],
  Definition[$CellContext`Running],
  Editable->False]], "Input"],

Cell["the above does a running sum", "Text",
 CellChangeTimes->{{3.616931394812326*^9, 3.616931402970697*^9}}],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {GridBox[{
       {
        RowBox[{
         RowBox[{"smooth1D", "[", "field_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", "}"}], ",", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"{", "dim", "}"}], "=", 
               RowBox[{"Dimensions", "[", "field", "]"}]}], ",", 
              RowBox[{"smoothfield", "=", 
               RowBox[{
                FractionBox["field", "2.`"], "+", 
                FractionBox[
                 RowBox[{
                  RowBox[{"RotateRight", "[", 
                   RowBox[{"field", ",", "1"}], "]"}], "+", 
                  RowBox[{"RotateLeft", "[", 
                   RowBox[{"field", ",", "1"}], "]"}]}], "4.`"]}]}], ",", 
              RowBox[{
               RowBox[{
               "smoothfield", "\[LeftDoubleBracket]", "1", 
                "\[RightDoubleBracket]"}], "=", 
               FractionBox[
                RowBox[{
                 RowBox[{
                 "field", "\[LeftDoubleBracket]", "1", 
                  "\[RightDoubleBracket]"}], "+", 
                 RowBox[{
                 "field", "\[LeftDoubleBracket]", "2", 
                  "\[RightDoubleBracket]"}]}], "2.`"]}], ",", 
              RowBox[{
               RowBox[{
               "smoothfield", "\[LeftDoubleBracket]", "dim", 
                "\[RightDoubleBracket]"}], "=", 
               FractionBox[
                RowBox[{
                 RowBox[{
                 "field", "\[LeftDoubleBracket]", "dim", 
                  "\[RightDoubleBracket]"}], "+", 
                 RowBox[{"field", "\[LeftDoubleBracket]", 
                  RowBox[{"dim", "-", "1"}], "\[RightDoubleBracket]"}]}], 
                "2.`"]}]}], "}"}], ";", "smoothfield"}]}], "]"}]}]}
      },
      BaselinePosition->{Baseline, {1, 1}},
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{"Columns" -> {{
           Scaled[0.999]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}}]}
   },
   BaselinePosition->{Baseline, {1, 1}},
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}}],
  Definition[$CellContext`smooth1D],
  Editable->False]], "Input"],

Cell["this does a 1 - 2 - 1 smoothing", "Text",
 CellChangeTimes->{{3.616931425812748*^9, 3.616931434881629*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"HaarNoInterpolate", "[", 
    RowBox[{
    "timeraw_", ",", "xv_", ",", "calibcoord_", ",", "droppointslowpoints_", 
     ",", "droppointshighpoints_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"{", "dim", "}"}], "=", 
         RowBox[{"Dimensions", "[", "xv", "]"}]}], ",", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"dimmax", "=", "dim"}], ";", " ", 
          RowBox[{
           RowBox[{"use", " ", "this", " ", "when", " ", "fac"}], "=", 
           "1"}]}], "*)"}], ",", 
        RowBox[{"dimmax", "=", "dim"}], ",", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{
           "a", " ", "specific", " ", "value", " ", "for", " ", "dimmax", " ",
             "is", " ", "only", " ", "needed", " ", "when", " ", "fac"}], "=",
            "2"}], ",", " ", 
          RowBox[{
          "it", " ", "is", " ", "the", " ", "maximum", " ", "dimension", " ", 
           "to", " ", "be", " ", "encountered"}]}], "*)"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"calib", "=", "2."}], "*)"}], ",", 
        RowBox[{"vecc", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"-", "10"}]}], " ", "jjj"}], ",", 
           RowBox[{"{", 
            RowBox[{"jjj", ",", "1", ",", "dim"}], "}"}]}], "]"}]}], ",", 
        RowBox[{"(*", 
         RowBox[{
         "this", " ", "avoids", " ", "having", " ", "two", " ", "identical", 
          " ", "time", " ", "coordinates", " ", "for", " ", "different", " ", 
          "estimates", " ", "of", " ", "the", " ", "same", " ", "quantity", 
          " ", "at", " ", "the", " ", "same", " ", "time"}], "*)"}], ",", 
        RowBox[{"time", "=", 
         RowBox[{"timeraw", "+", "vecc"}]}], ",", 
        RowBox[{"\[Epsilon]min", "=", "0.25"}], ",", 
        RowBox[{"\[Epsilon]max", "=", 
         RowBox[{"1", "-", "\[Epsilon]min"}]}], ",", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "this", " ", "is", " ", "the", " ", "range", " ", "of", " ", 
           "reasonable", " ", "values", " ", "for", " ", "estimating", " ", 
           "the", " ", "flucutations"}], ",", " ", 
          RowBox[{
           RowBox[{"default", " ", "is", " ", "\[Epsilon]min"}], "=", 
           "0.25"}], ",", " ", 
          RowBox[{
          "it", " ", "means", " ", "that", " ", "the", " ", "centre", " ", 
           "is", " ", "asssumed", " ", "to", " ", "be", " ", "between", " ", 
           "a", " ", "fraction", " ", "\[Epsilon]min", " ", "and", " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Epsilon]min"}], ")"}], " ", "between", " ", 
           "the", " ", "extremes", " ", 
           RowBox[{"(", 
            RowBox[{"rather", " ", "than", " ", "halfway"}]}]}]}], "*)"}], 
        ",", 
        RowBox[{"calib", "=", "2."}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "This", " ", "is", " ", "the", " ", "\"\<Haar calibration\>\"", " ", 
           RowBox[{"i", ".", "e", ".", " ", "the"}], " ", "value", " ", 
           "that", " ", "approxiamtely", " ", "maps", " ", "the", " ", "Haar",
            " ", "fluctuations", " ", "onto", " ", "difference", " ", "and", 
           " ", "tendency", " ", "fluctuations"}], ",", " ", 
          RowBox[{"the", " ", "default", " ", "value", " ", "is", " ", "2."}],
           ",", " ", 
          RowBox[{
          "note", " ", "that", " ", "the", " ", "minimum", " ", "significant",
            " ", "difference", " ", "between", " ", "successive", " ", "time",
            " ", "intervals", " ", "is", " ", 
           RowBox[{"10", "^", 
            RowBox[{"-", "4"}]}]}], ",", " ", 
          RowBox[{
          "closer", " ", "intervals", " ", "will", " ", "be", " ", "put", " ",
            "in", " ", "smallest", " ", 
           RowBox[{"bin", ".", "  ", "The"}], " ", "largest", " ", "is", " ", 
           RowBox[{"10", "^", "6."}]}]}], "*)"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"mindelta", "=", "0.1"}], ",", 
        RowBox[{"\[Delta]timemax", "=", 
         RowBox[{
          RowBox[{"time", "[", 
           RowBox[{"[", "dim", "]"}], "]"}], "-", 
          RowBox[{"time", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}]}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"qmax", "=", "21"}], ",", 
        RowBox[{"delq", "=", "0.1"}], ",", 
        RowBox[{"qeps", "=", "0.0001`"}], ",", 
        RowBox[{"Qtab", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"q", ",", 
           RowBox[{"{", 
            RowBox[{"q", ",", "qeps", ",", 
             RowBox[{
              RowBox[{"delq", " ", "qmax"}], "+", "qeps", "-", "delq"}], ",", 
             "delq"}], "}"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{
           "with", " ", "these", " ", "parameters", " ", "we", " ", 
            "calucate", " ", "the", " ", "moments", " ", "every", " ", 
            "delq"}], "=", 
           RowBox[{
            RowBox[{"0.1", " ", "from", " ", "0", " ", "to", " ", "q"}], "=", 
            RowBox[{
             RowBox[{"2", " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"qmax", " ", "values", " ", "in", " ", "all"}], ")"}],
                ".", "  ", "qeps"}], " ", "is", " ", "added", " ", "to", " ", 
              "avoid", " ", "exponenting", " ", "to", " ", "a", " ", "zero", 
              " ", "power"}], " ", "-", " ", 
             RowBox[{
             "a", " ", "problem", " ", "if", " ", "the", " ", "data", " ", 
              "contains", " ", "zero", " ", 
              RowBox[{"values", ".", "  ", "calib"}], " ", "is", " ", "an", 
              " ", "overall", " ", "multiplier", " ", "used", " ", "only", 
              " ", "for", " ", "the", " ", "graphics", " ", "output", " ", 
              "grRMS"}]}]}]}], ",", " ", 
          RowBox[{
          "grq1", " ", "that", " ", "takes", " ", "into", " ", "account", " ",
            "the", " ", "calibration", " ", "with", " ", "respect", " ", "to",
            " ", "difference", " ", "and", " ", "tendency", " ", 
           "fluctuations"}]}], "*)"}], "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"points2", "=", 
         RowBox[{"10", "^", "6"}]}], ",", 
        RowBox[{"points1", "=", 
         RowBox[{"IntegerPart", "[", 
          RowBox[{"20.", " ", 
           RowBox[{"Log", "[", 
            RowBox[{"10", ",", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"points2", "-", "0.001"}], ")"}], "/", "fac"}]}], 
            "]"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"\[Delta]\[Delta]t30", "=", 
         RowBox[{"{", 
          RowBox[{
          "2", ",", "4", ",", "6", ",", "8", ",", "10", ",", "12", ",", "14", 
           ",", "16", ",", "18", ",", "20", ",", "22"}], "}"}]}], ",", 
        RowBox[{"maxpoint", "=", 
         RowBox[{"2", " ", 
          RowBox[{"IntegerPart", "[", 
           RowBox[{"dimmax", "/", 
            RowBox[{"(", 
             RowBox[{"2", " ", "fac"}], ")"}]}], "]"}]}]}], ",", 
        RowBox[{"\[Delta]\[Delta]t2", "=", 
         RowBox[{"Flatten", "[", 
          RowBox[{"Append", "[", 
           RowBox[{"\[Delta]\[Delta]t30", ",", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"2", "  ", 
               RowBox[{"IntegerPart", "[", 
                RowBox[{
                 RowBox[{"(", 
                  SuperscriptBox["10.", 
                   RowBox[{"jj", "/", "20."}]], ")"}], "/", "2"}], "]"}]}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"jj", ",", "28", ",", "points1"}], "}"}]}], "]"}]}], 
           "]"}], "]"}]}], ",", 
        RowBox[{"\[Delta]\[Delta]t", "=", 
         RowBox[{"Select", "[", 
          RowBox[{"\[Delta]\[Delta]t2", ",", 
           RowBox[{
            RowBox[{"#", "<", 
             RowBox[{"(", 
              RowBox[{"maxpoint", "+", "0.001"}], ")"}]}], "&"}]}], "]"}]}], 
        ",", 
        RowBox[{"points", "=", 
         RowBox[{
          RowBox[{"Dimensions", "[", "\[Delta]\[Delta]t", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ",", 
        StyleBox[
         RowBox[{
          RowBox[{"\[Delta]\[Delta]t", "[", 
           RowBox[{"[", "points", "]"}], "]"}], "=", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"\[Delta]\[Delta]t", "[", 
              RowBox[{"[", "points", "]"}], "]"}], "\[Equal]", "dim"}], ",", 
            RowBox[{
             RowBox[{"\[Delta]\[Delta]t", "[", 
              RowBox[{"[", "points", "]"}], "]"}], "=", 
             RowBox[{
              RowBox[{"\[Delta]\[Delta]t", "[", 
               RowBox[{"[", "points", "]"}], "]"}], "-", "2"}]}], ",", 
            RowBox[{"\[Delta]\[Delta]t", "[", 
             RowBox[{"[", "points", "]"}], "]"}]}], "]"}]}],
         FontColor->RGBColor[1, 0, 0]], 
        StyleBox[",",
         FontColor->RGBColor[1, 0, 0]], 
        StyleBox["\[IndentingNewLine]",
         FontColor->RGBColor[1, 0, 0]], "\n", 
        RowBox[{"SS", "=", 
         RowBox[{"Running", "[", 
          RowBox[{"xv", "-", 
           RowBox[{"Mean", "[", "xv", "]"}]}], "]"}]}], ",", 
        RowBox[{"\[Delta]T", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0.", ",", 
           RowBox[{"{", 
            RowBox[{"kindex", ",", "1", ",", "200"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}]}], ",", "\n", 
        RowBox[{"count", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"10.", "^", 
            RowBox[{"-", "15"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"kindex", ",", "1", ",", "200"}], "}"}]}], "]"}]}], ",", 
        StyleBox["\[IndentingNewLine]",
         FontColor->RGBColor[1, 0, 0]], 
        StyleBox["\[IndentingNewLine]",
         FontColor->RGBColor[1, 0, 0]], 
        RowBox[{"Do", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[Delta]t", "=", 
             RowBox[{
             "\[Delta]\[Delta]t", "\[LeftDoubleBracket]", "jj", 
              "\[RightDoubleBracket]"}]}], ",", 
            RowBox[{"S\[Delta]t20", "=", 
             RowBox[{
              RowBox[{"RotateLeft", "[", 
               RowBox[{"SS", ",", "\[Delta]t"}], "]"}], "-", "SS"}]}], ",", 
            RowBox[{"S\[Delta]t10", "=", 
             RowBox[{
              RowBox[{"RotateLeft", "[", 
               RowBox[{"SS", ",", 
                RowBox[{"\[Delta]t", "/", "2"}]}], "]"}], "-", "SS"}]}], ",", 
            RowBox[{"S\[Delta]t21", "=", 
             RowBox[{"S\[Delta]t20", "-", "S\[Delta]t10"}]}], ",", 
            RowBox[{"time\[Delta]t20", "=", 
             RowBox[{"Abs", "[", 
              RowBox[{
               RowBox[{"RotateLeft", "[", 
                RowBox[{"time", ",", "\[Delta]t"}], "]"}], "-", "time"}], 
              "]"}]}], ",", 
            RowBox[{"time\[Delta]t10", "=", 
             RowBox[{"Abs", "[", 
              RowBox[{
               RowBox[{"RotateLeft", "[", 
                RowBox[{"time", ",", 
                 RowBox[{"\[Delta]t", "/", "2"}]}], "]"}], "-", "time"}], 
              "]"}]}], ",", 
            RowBox[{"\[Epsilon]", "=", 
             RowBox[{"time\[Delta]t10", "/", "time\[Delta]t20"}]}], ",", 
            RowBox[{"(*", 
             RowBox[{
             "we", " ", "only", " ", "select", " ", "those", " ", "estimates",
               " ", "for", " ", "which", " ", "the", " ", "\"\<middle\>\"", 
              " ", "point", " ", "fraction", " ", "\[Epsilon]", " ", "is", 
              " ", "between", " ", "a", " ", "fraction", " ", "\[Epsilon]min",
               " ", "and", " ", 
              RowBox[{"(", 
               RowBox[{"1", "-", "\[Epsilon]min"}], ")"}], " ", "of", " ", 
              "the", " ", "total", " ", "separation", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{
                 "ideally", " ", "it", " ", "should", " ", "be", " ", 
                  "halfway"}], ";", " ", 
                 RowBox[{"\[Epsilon]", "=", 
                  RowBox[{"1", "/", "2"}]}]}], ",", " ", 
                RowBox[{
                 RowBox[{
                 "here", " ", "we", " ", "use", " ", "\[Epsilon]min"}], "=", 
                 RowBox[{
                  RowBox[{"1", "/", "4"}], " ", "so", " ", "that", " ", "the",
                   " ", "centre", " ", "point", " ", "is", " ", "within", " ", 
                  RowBox[{"1", "/", "4"}], " ", "of", " ", "the", " ", "true",
                   " ", "centre"}]}]}]}]}], "*)"}], ",", 
            RowBox[{"\[Delta]Rx", "=", " ", 
             RowBox[{"2.", " ", 
              RowBox[{
               RowBox[{"Abs", "[", 
                RowBox[{"S\[Delta]t10", "-", "S\[Delta]t21"}], "]"}], "/", 
               "\[Delta]t"}]}]}], ",", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{
              "note", " ", "we", " ", "divide", " ", "by", " ", "the", " ", 
               "number", " ", "of", " ", "contributions"}], ",", " ", 
              RowBox[{"not", " ", "the", " ", "time"}]}], "*)"}], ",", 
            RowBox[{"\[Epsilon]S", "=", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"Transpose", "[", 
                RowBox[{"Take", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                   "time\[Delta]t20", ",", "\[Delta]Rx", ",", "\[Epsilon]"}], 
                   "}"}], ",", "All", ",", 
                  RowBox[{"{", 
                   RowBox[{"1", ",", 
                    RowBox[{"dim", "-", "\[Delta]t"}]}], "}"}]}], "]"}], 
                "]"}], ",", 
               RowBox[{
                RowBox[{"\[Epsilon]max", ">", 
                 RowBox[{"#", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], ">", "\[Epsilon]min"}], 
                "&"}]}], "]"}]}], ",", 
            RowBox[{"goodpairs", "=", 
             RowBox[{"Select", "[", 
              RowBox[{
               RowBox[{"\[Epsilon]S", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", 
                  RowBox[{"Range", "[", 
                   RowBox[{"1", ",", "2"}], "]"}]}], "]"}], "]"}], ",", 
               RowBox[{
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ">", "mindelta"}], "&"}]}], 
              "]"}]}], ",", 
            RowBox[{"dimgood", "=", 
             RowBox[{
              RowBox[{"Dimensions", "[", "goodpairs", "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ",", 
            RowBox[{"Do", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"index", "=", 
                  RowBox[{"80.", "+", 
                   RowBox[{"IntegerPart", "[", 
                    RowBox[{"20.", "  ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"10", ",", 
                    RowBox[{"goodpairs", "[", 
                    RowBox[{"[", 
                    RowBox[{"k", ",", "1"}], "]"}], "]"}]}], "]"}]}], 
                    "]"}]}]}], ";", 
                 RowBox[{"index", "=", 
                  RowBox[{"Max", "[", 
                   RowBox[{"1", ",", "index"}], "]"}]}], ";", 
                 RowBox[{"index", "=", 
                  RowBox[{"Min", "[", 
                   RowBox[{"200", ",", "index"}], "]"}]}], ";", 
                 RowBox[{
                  RowBox[{"\[Delta]T", "[", 
                   RowBox[{"[", 
                    RowBox[{"index", ",", "All"}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"\[Delta]T", "[", 
                    RowBox[{"[", 
                    RowBox[{"index", ",", "All"}], "]"}], "]"}], "+", 
                   RowBox[{
                    RowBox[{"goodpairs", "[", 
                    RowBox[{"[", 
                    RowBox[{"k", ",", "2"}], "]"}], "]"}], "^", 
                    "Qtab"}]}]}]}], ",", 
                RowBox[{
                 RowBox[{"count", "[", 
                  RowBox[{"[", "index", "]"}], "]"}], "=", 
                 RowBox[{
                  RowBox[{"count", "[", 
                   RowBox[{"[", "index", "]"}], "]"}], "+", "1."}]}]}], "}"}],
               ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", "dimgood"}], "}"}]}], "]"}]}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"jj", ",", "1", ",", "points"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"reversing", " ", "just", " ", "duplicates", " ", "stats"}],
           ",", " ", 
          RowBox[{"it", " ", "was", " ", "not", " ", "used"}]}], "*)"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\< the number of flucutations used in the analysis is = \>\"", 
          ",", 
          RowBox[{"Total", "[", "count", "]"}]}], "]"}], ",", 
        StyleBox["\[IndentingNewLine]",
         FontColor->RGBColor[1, 0, 0]], 
        StyleBox["\[IndentingNewLine]",
         FontColor->RGBColor[1, 0, 0]], 
        RowBox[{"coordint", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"jj", "-", "80"}], ")"}], "/", "20."}], ",", 
           RowBox[{"{", 
            RowBox[{"jj", ",", "0", ",", "199"}], "}"}]}], "]"}]}], ",", 
        RowBox[{"momsall", "=", 
         RowBox[{"Log", "[", 
          RowBox[{"10", ",", 
           RowBox[{
            RowBox[{"10", "^", 
             RowBox[{"-", "15"}]}], "+", 
            RowBox[{"\[Delta]T", "/", "count"}]}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"data", "=", 
         RowBox[{"Select", "[", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{"coordint", ",", 
              RowBox[{"momsall", "[", 
               RowBox[{"[", 
                RowBox[{"All", ",", "11"}], "]"}], "]"}]}], "}"}], "]"}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"#", "[", 
              RowBox[{"[", "2", "]"}], "]"}], ">", 
             RowBox[{"-", "5."}]}], "&"}]}], "]"}]}], ",", 
        RowBox[{"calibnointer", "=", "0."}], ",", 
        RowBox[{"(*", 
         RowBox[{"calibnointer", "=", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"10", ",", "\[Delta]timemax"}], "]"}], "-", 
           RowBox[{"Max", "[", 
            RowBox[{"data", "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "1"}], "]"}], "]"}], "]"}]}]}], "*)"}], ",",
         "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"moms", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{
             RowBox[{"momsall", "[", 
              RowBox[{"[", 
               RowBox[{"All", ",", "kk"}], "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{"#", ">", 
               RowBox[{"-", "5."}]}], "&"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"kk", ",", "1", ",", "21"}], "}"}]}], "]"}]}], ",", 
        RowBox[{"dataq1", "=", 
         RowBox[{"Select", "[", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"coordint", "+", "calibnointer", "+", 
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", "calibcoord"}], "]"}]}], ",", 
              RowBox[{"momsall", "[", 
               RowBox[{"[", 
                RowBox[{"All", ",", "11"}], "]"}], "]"}]}], "}"}], "]"}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"#", "[", 
              RowBox[{"[", "2", "]"}], "]"}], ">", 
             RowBox[{"-", "5."}]}], "&"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"coordcalib", "=", 
         RowBox[{
          RowBox[{"Transpose", "[", "dataq1", "]"}], "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"dataRMS", "=", 
         RowBox[{"Select", "[", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"coordint", "+", "calibnointer", "+", 
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", "calibcoord"}], "]"}]}], ",", 
              RowBox[{
               RowBox[{"momsall", "[", 
                RowBox[{"[", 
                 RowBox[{"All", ",", "21"}], "]"}], "]"}], "/", "2."}]}], 
             "}"}], "]"}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"#", "[", 
              RowBox[{"[", "2", "]"}], "]"}], ">", 
             RowBox[{"-", "5."}]}], "&"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"grRMSsmoothnoint", "=", 
         RowBox[{"ListPlot", "[", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"Transpose", "[", "dataRMS", "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", "calib"}], "]"}], "+", 
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", 
                 RowBox[{"smooth1D", "[", 
                  RowBox[{"10.", "^", 
                   RowBox[{
                    RowBox[{"Transpose", "[", "dataRMS", "]"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}]}]}], 
             "}"}], "]"}], ",", 
           RowBox[{"Joined", "\[Rule]", "True"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"Hue", "[", "0.9", "]"}]}]}], "]"}]}], ",", 
        RowBox[{"grq1smoothnoint", "=", 
         RowBox[{"ListPlot", "[", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"Transpose", "[", "dataq1", "]"}], "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", 
              RowBox[{
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", "calib"}], "]"}], "+", 
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", 
                 RowBox[{"smooth1D", "[", 
                  RowBox[{"10.", "^", 
                   RowBox[{
                    RowBox[{"Transpose", "[", "dataq1", "]"}], "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "]"}]}]}], 
             "}"}], "]"}], ",", 
           RowBox[{"Joined", "\[Rule]", "True"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"Hue", "[", "0.6", "]"}]}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", "points", "}"}], "=", 
         RowBox[{"Dimensions", "[", "coordcalib", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\< The total number of points is \>\"", ",", "points"}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"droppointslow", "=", 
         RowBox[{"Max", "[", 
          RowBox[{"1", ",", 
           RowBox[{"1", "+", "droppointslowpoints"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"droppointshigh", "=", 
         RowBox[{"Max", "[", 
          RowBox[{
           RowBox[{"droppointslow", "+", "2"}], ",", 
           RowBox[{"points", "-", "droppointshighpoints"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"droppointslow", "=", "1"}], ",", 
          RowBox[{"droppointshigh", "=", "points"}], ",", " ", 
          RowBox[{
          "these", " ", "indicate", " ", "the", " ", "range", " ", "of", " ", 
           "data", " ", "used", " ", "in", " ", "the", " ", "fits", "  ", 
           "All", " ", "the", " ", "code", " ", "below", " ", "is", " ", 
           "purely", " ", "for", " ", "fitting"}], ",", " ", 
          RowBox[{"it", " ", "is", " ", "not", " ", "strictly", " ", 
           RowBox[{"needed", ".", "  ", "In"}], " ", "this", " ", "default", 
           " ", "mode", " ", "all", " ", "points", " ", "between", " ", "the",
            " ", "smallest", " ", "lag", " ", "1", " ", "and", " ", "largest",
            " ", "available", " ", "lag", " ", 
           RowBox[{"(", 
            RowBox[{"=", "points"}], ")"}], " ", "are", " ", "taken", " ", 
           "for", " ", 
           RowBox[{"regressions", ".", "  ", "Indeed"}]}], ",", " ", 
          RowBox[{
           RowBox[{
           "the", " ", "fitted", " ", "parameters", " ", "are", " ", "only", 
            " ", "valid", " ", "if", " ", "the", " ", "range", " ", "of", " ",
             "fitting", " ", "is", " ", "pretty", " ", "linear", " ", "on", 
            " ", "a", " ", "log"}], "-", 
           RowBox[{"log", " ", 
            RowBox[{"plot", ".", "  ", "Often"}], " ", "it", " ", "is", " ", 
            "best", " ", "to", " ", "make", " ", "the", " ", "fits", " ", 
            "after", " ", "viewing", " ", "the", " ", "plots"}]}]}], "*)"}], 
        ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\< Fits are over the range   \>\"", ",", " ", 
          RowBox[{"10", "^", 
           RowBox[{
           "coordcalib", "\[LeftDoubleBracket]", "droppointslow", 
            "\[RightDoubleBracket]"}]}], ",", "\"\<  to  \>\"", ",", 
          RowBox[{"10", "^", 
           RowBox[{
           "coordcalib", "\[LeftDoubleBracket]", "droppointshigh", 
            "\[RightDoubleBracket]"}]}], ",", " ", 
          "\"\<  in the specified units\>\""}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"the", " ", "calibrated", " ", "coordinate"}], "*)"}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"inter", ",", "hqneg"}], "}"}], "=", 
         RowBox[{"Transpose", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"aa", "=", 
              RowBox[{"Fit", "[", 
               RowBox[{
                RowBox[{"Take", "[", 
                 RowBox[{
                  RowBox[{"Transpose", "[", 
                   RowBox[{"{", 
                    RowBox[{"coordcalib", ",", 
                    RowBox[{
                    "moms", "\[LeftDoubleBracket]", "q", 
                    "\[RightDoubleBracket]"}]}], "}"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"droppointslow", ",", "droppointshigh"}], "}"}], 
                  ",", 
                  RowBox[{"{", 
                   RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"1", ",", "x1"}], "}"}], ",", "x1"}], "]"}]}], ";", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "aa", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
               ",", 
               RowBox[{
                RowBox[{
                "aa", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
                "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
              "}"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}], "]"}]}], 
        ",", 
        RowBox[{"Do", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"grref", "[", "i", "]"}], "=", 
           RowBox[{"Plot", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", "calib"}], "]"}], "+", 
              RowBox[{
              "inter", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
               "+", 
              RowBox[{
               RowBox[{
               "hqneg", "\[LeftDoubleBracket]", "i", 
                "\[RightDoubleBracket]"}], " ", "x1"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"x1", ",", 
               RowBox[{
               "coordcalib", "\[LeftDoubleBracket]", "droppointshigh", 
                "\[RightDoubleBracket]"}], ",", 
               RowBox[{
               "coordcalib", "\[LeftDoubleBracket]", "droppointslow", 
                "\[RightDoubleBracket]"}]}], "}"}]}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
        RowBox[{"Do", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"gr", "[", "i", "]"}], "=", 
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"{", 
               RowBox[{"coordcalib", ",", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  RowBox[{"10", ",", "calib"}], "]"}], "+", 
                 RowBox[{
                 "moms", "\[LeftDoubleBracket]", "i", 
                  "\[RightDoubleBracket]"}]}]}], "}"}], "]"}], ",", 
             RowBox[{"Joined", "\[Rule]", "True"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Hue", "[", 
                 FractionBox["i", "qmax"], "]"}], ",", 
                RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
             RowBox[{"AxesLabel", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
               "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)\
\[CapitalDelta]t\>\"", ",", 
                "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \\(10\\)]\\)S(\
\[CapitalDelta]t)\>\""}], "}"}]}], ",", 
             RowBox[{"BaseStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"24", ",", 
                RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], 
               "}"}]}]}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
        RowBox[{"Do", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"grpts", "[", "i", "]"}], "=", 
           RowBox[{"ListPlot", "[", 
            RowBox[{
             RowBox[{"Transpose", "[", 
              RowBox[{"{", 
               RowBox[{"coordcalib", ",", 
                RowBox[{
                 RowBox[{"Log", "[", 
                  RowBox[{"10", ",", "calib"}], "]"}], "+", 
                 RowBox[{
                 "moms", "\[LeftDoubleBracket]", "i", 
                  "\[RightDoubleBracket]"}]}]}], "}"}], "]"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"PointSize", "[", "0.008", "]"}], ",", 
                RowBox[{"Hue", "[", 
                 FractionBox["i", "qmax"], "]"}]}], "}"}]}]}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
        RowBox[{"grout", "=", 
         RowBox[{"Show", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"gr", "[", "i", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"grpts", "[", "i", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}], ",", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"grref", "[", "i", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", "qmax"}], "}"}]}], "]"}]}], "]"}]}],
         ",", 
        RowBox[{"psi", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
             "Qtab", "\[LeftDoubleBracket]", "q", "\[RightDoubleBracket]"}], 
             ",", 
             RowBox[{
             "hqneg", "\[LeftDoubleBracket]", "q", 
              "\[RightDoubleBracket]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}]}], ",", 
        RowBox[{"grpsi", "=", 
         RowBox[{"ListPlot", "[", 
          RowBox[{"psi", ",", 
           RowBox[{"Joined", "\[Rule]", "True"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"Hue", "[", "0.75`", "]"}]}], ",", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<q\>\"", ",", "\"\<\[Xi](q)\>\""}], "}"}]}], ",", 
           RowBox[{"BaseStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"24", ",", 
              RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}]}], "}"}]}]}],
           "]"}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"ft0", "=", 
         RowBox[{"Fit", "[", 
          RowBox[{
           RowBox[{"Flatten", "[", 
            RowBox[{
             RowBox[{"Append", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"{", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", "0.`"}], "}"}], "}"}], "}"}], ",", 
               RowBox[{"Take", "[", 
                RowBox[{"psi", ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "2"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}], "]"}], ",", 
             "1"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "xxy", ",", 
             SuperscriptBox["xxy", "2"]}], "}"}], ",", "xxy"}], "]"}]}], ",", 
        RowBox[{"psiprime0", "=", 
         RowBox[{
          RowBox[{
          "ft0", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "+", 
          RowBox[{
           RowBox[{
           "ft0", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
           "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}], ",", 
        RowBox[{"ft", "=", 
         RowBox[{"Fit", "[", 
          RowBox[{
           RowBox[{"Take", "[", 
            RowBox[{"psi", ",", 
             RowBox[{"{", 
              RowBox[{"9", ",", "13"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "xxy1", ",", 
             SuperscriptBox["xxy1", "2"]}], "}"}], ",", "xxy1"}], "]"}]}], 
        ",", 
        RowBox[{"C1psi", "=", 
         RowBox[{
          RowBox[{
          "ft", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "-", 
          RowBox[{
           RowBox[{
           "ft", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
           "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}], ",", 
        RowBox[{"Hpsi", "=", 
         RowBox[{"ft", "/.", "\[InvisibleSpace]", 
          RowBox[{"xxy1", "\[Rule]", "1"}]}]}], ",", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<H=   \>\"", ",", "Hpsi"}], "]"}], ",", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<the RMS exponent= \[Xi](2)/2= \>\"", ",", 
          RowBox[{
           RowBox[{"psi", "[", 
            RowBox[{"[", 
             RowBox[{"21", ",", "2"}], "]"}], "]"}], "/", "2."}], ",", 
          "\"\<  the difference with H is K(2)/2 = \>\"", ",", 
          RowBox[{
           RowBox[{"psi", "[", 
            RowBox[{"[", 
             RowBox[{"11", ",", "2"}], "]"}], "]"}], "-", 
           RowBox[{
            RowBox[{"psi", "[", 
             RowBox[{"[", 
              RowBox[{"21", ",", "2"}], "]"}], "]"}], "/", "2."}]}]}], "]"}], 
        ",", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<derivative C1=  \>\"", ",", "C1psi"}], "]"}], ",", 
        StyleBox[
         RowBox[{"Kppq1", "=", 
          RowBox[{
           RowBox[{"-", "2"}], " ", 
           RowBox[{
            RowBox[{
            "ft", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}], 
            "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}],
         FontColor->GrayLevel[0]], 
        StyleBox[",",
         FontColor->GrayLevel[0]], 
        StyleBox[
         RowBox[{"\[Alpha]psi", "=", 
          RowBox[{"Kppq1", "/", "C1psi"}]}],
         FontColor->GrayLevel[0]], 
        StyleBox[",",
         FontColor->GrayLevel[0]], 
        StyleBox[
         RowBox[{"Print", "[", 
          RowBox[{"\"\<\[Alpha] from psipp(1) =  \>\"", ",", "\[Alpha]psi"}], 
          "]"}],
         FontColor->GrayLevel[0]], 
        StyleBox[",",
         FontColor->GrayLevel[0]], 
        StyleBox["\[IndentingNewLine]",
         FontColor->GrayLevel[0]], "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "The", " ", "above", " ", "are", " ", "for", " ", "regressions"}], 
          ",", " ", 
          RowBox[{
          "parameter", " ", "estimates", " ", "over", " ", "the", " ", 
           "range", " ", "droppointslow"}], ",", "droppointshigh"}], "*)"}], 
        ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"C1data", "=", 
         RowBox[{"Transpose", "[", 
          RowBox[{"{", 
           RowBox[{"coordcalib", ",", 
            RowBox[{
             RowBox[{"Log", "[", 
              RowBox[{"10", ",", 
               RowBox[{"smooth1D", "[", 
                RowBox[{"10.", "^", 
                 RowBox[{"(", 
                  RowBox[{"moms", "[", 
                   RowBox[{"[", "11", "]"}], "]"}], ")"}]}], "]"}]}], "]"}], 
             "-", 
             RowBox[{"5.", 
              RowBox[{"Log", "[", 
               RowBox[{"10", ",", 
                RowBox[{"smooth1D", "[", 
                 RowBox[{"10.", "^", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"moms", "[", 
                    RowBox[{"[", "12", "]"}], "]"}], "-", 
                    RowBox[{"moms", "[", 
                    RowBox[{"[", "10", "]"}], "]"}]}], ")"}]}], "]"}]}], 
               "]"}]}]}]}], "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"grC1", "=", 
         RowBox[{"ListPlot", "[", 
          RowBox[{"C1data", ",", 
           RowBox[{"Joined", "\[Rule]", "True"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"Hue", "[", "0.99", "]"}]}], ",", 
           RowBox[{"BaseStyle", "->", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
              RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
              "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SuperscriptBox[\(\[CapitalDelta]t\), SubscriptBox[\(C\), \
\(1\)]]\)\>\""}], "}"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"grinfo", "=", "grC1"}], ",", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"aa", "=", 
         RowBox[{"Fit", "[", 
          RowBox[{
           RowBox[{"Take", "[", 
            RowBox[{"C1data", ",", 
             RowBox[{"{", 
              RowBox[{"droppointslow", ",", "droppointshigh"}], "}"}], ",", 
             "All"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "x1"}], "}"}], ",", "x1"}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"interC1", ",", "hqnegC1"}], "}"}], "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
           "aa", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], ",", 
           RowBox[{
            RowBox[{
            "aa", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
            "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], "}"}]}],
         ",", 
        RowBox[{"grC1theory", "=", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"interC1", "+", 
            RowBox[{"hqnegC1", " ", "x1"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"x1", ",", 
             RowBox[{
             "coordcalib", "\[LeftDoubleBracket]", "droppointshigh", 
              "\[RightDoubleBracket]"}], ",", 
             RowBox[{
             "coordcalib", "\[LeftDoubleBracket]", "droppointslow", 
              "\[RightDoubleBracket]"}]}], "}"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<C1 graph slope method =\>\"", ",", "hqnegC1"}], "]"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"grC1theorydata", "=", 
         RowBox[{"Show", "[", 
          RowBox[{"grC1", ",", "grC1theory", ",", 
           RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"grRMS", "=", 
         RowBox[{"ListPlot", "[", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{"coordcalib", ",", 
              RowBox[{
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", "calib"}], "]"}], "+", 
               RowBox[{
                RowBox[{"moms", "[", 
                 RowBox[{"[", "21", "]"}], "]"}], "/", "2."}]}]}], "}"}], 
            "]"}], ",", 
           RowBox[{"Joined", "\[Rule]", "True"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"Hue", "[", "0.9", "]"}]}], ",", 
           RowBox[{"BaseStyle", "->", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
              RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
              "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SubscriptBox[\(S\), \
\(2\)]\)(\[CapitalDelta]t\!\(\*SuperscriptBox[\()\), \(1/2\)]\)\>\""}], 
             "}"}]}]}], "]"}]}], ",", 
        RowBox[{"grRMSsmooth", "=", 
         RowBox[{"ListPlot", "[", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{"coordcalib", ",", 
              RowBox[{
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", "calib"}], "]"}], "+", 
               RowBox[{
                RowBox[{"Log", "[", 
                 RowBox[{"10", ",", 
                  RowBox[{"smooth1D", "[", 
                   RowBox[{"10", "^", 
                    RowBox[{"moms", "[", 
                    RowBox[{"[", "21", "]"}], "]"}]}], "]"}]}], "]"}], "/", 
                "2."}]}]}], "}"}], "]"}], ",", 
           RowBox[{"Joined", "\[Rule]", "True"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"Hue", "[", "0.9", "]"}]}], ",", 
           RowBox[{"BaseStyle", "->", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
              RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
              "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SubscriptBox[\(S\), \
\(2\)]\)(\[CapitalDelta]t\!\(\*SuperscriptBox[\()\), \(1/2\)]\)\>\""}], 
             "}"}]}]}], "]"}]}], ",", 
        RowBox[{"grcorsmooth", "=", 
         RowBox[{"ListPlot", "[", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{"coordcalib", ",", 
              RowBox[{
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", "calib"}], "]"}], "+", 
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", 
                 RowBox[{"smooth1D", "[", 
                  RowBox[{"10", "^", 
                   RowBox[{"moms", "[", 
                    RowBox[{"[", "21", "]"}], "]"}]}], "]"}]}], "]"}]}]}], 
             "}"}], "]"}], ",", 
           RowBox[{"Joined", "\[Rule]", "True"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"Hue", "[", "0.1", "]"}]}], ",", 
           RowBox[{"BaseStyle", "->", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
              RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
              "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SubscriptBox[\(S\), \(2\)]\)(\[CapitalDelta]t)\>\""}], 
             "}"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"grboxsmooth", "=", 
         RowBox[{"ListPlot", "[", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{"coordcalib", ",", 
              RowBox[{
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", "calib"}], "]"}], "+", 
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", 
                 RowBox[{"smooth1D", "[", 
                  RowBox[{"10", "^", 
                   RowBox[{"moms", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "]"}]}]}], 
             "}"}], "]"}], ",", 
           RowBox[{"Joined", "\[Rule]", "True"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"Hue", "[", "0.4", "]"}]}], ",", 
           RowBox[{"BaseStyle", "->", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
              RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
              "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SubscriptBox[\(S\), \(0\)]\)(\[CapitalDelta]t)\>\""}], 
             "}"}]}]}], "]"}]}], ",", "\n", "        ", 
        RowBox[{"grq1smooth", "=", 
         RowBox[{"ListPlot", "[", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{"coordcalib", ",", 
              RowBox[{
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", "calib"}], "]"}], "+", 
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", 
                 RowBox[{"smooth1D", "[", 
                  RowBox[{"10", "^", 
                   RowBox[{"moms", "[", 
                    RowBox[{"[", "11", "]"}], "]"}]}], "]"}]}], "]"}]}]}], 
             "}"}], "]"}], ",", 
           RowBox[{"Joined", "\[Rule]", "True"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"Hue", "[", "0.6", "]"}]}], ",", 
           RowBox[{"BaseStyle", "->", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
              RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
              "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SubscriptBox[\(S\), \(1\)]\)(\[CapitalDelta]t)\>\""}], 
             "}"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"grq1", "=", 
         RowBox[{"ListPlot", "[", 
          RowBox[{
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{"coordcalib", ",", 
              RowBox[{
               RowBox[{"Log", "[", 
                RowBox[{"10", ",", "calib"}], "]"}], "+", 
               RowBox[{"moms", "[", 
                RowBox[{"[", "11", "]"}], "]"}]}]}], "}"}], "]"}], ",", 
           RowBox[{"Joined", "\[Rule]", "True"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"Hue", "[", "0.6", "]"}]}], ",", 
           RowBox[{"BaseStyle", "->", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
              RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
              "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SubscriptBox[\(S\), \(1\)]\)(\[CapitalDelta]t)\>\""}], 
             "}"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"grtheoryq1", "=", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Log", "[", 
             RowBox[{"10", ",", "calib"}], "]"}], "+", 
            RowBox[{
            "inter", "\[LeftDoubleBracket]", "11", "\[RightDoubleBracket]"}], 
            "+", 
            RowBox[{
             RowBox[{
             "hqneg", "\[LeftDoubleBracket]", "11", "\[RightDoubleBracket]"}],
              " ", "x1"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"x1", ",", 
             RowBox[{
             "coordcalib", "\[LeftDoubleBracket]", "droppointshigh", 
              "\[RightDoubleBracket]"}], ",", 
             RowBox[{
             "coordcalib", "\[LeftDoubleBracket]", "droppointslow", 
              "\[RightDoubleBracket]"}]}], "}"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"grtheorydataq1", "=", 
         RowBox[{"Show", "[", 
          RowBox[{"grq1smooth", ",", "grtheoryq1"}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"grtheoryRMS", "=", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Log", "[", 
             RowBox[{"10", ",", "calib"}], "]"}], "+", 
            RowBox[{
             RowBox[{
             "inter", "\[LeftDoubleBracket]", "21", "\[RightDoubleBracket]"}],
              "/", "2"}], "+", 
            RowBox[{
             RowBox[{
             "hqneg", "\[LeftDoubleBracket]", "21", "\[RightDoubleBracket]"}],
              " ", 
             RowBox[{"x1", "/", "2"}]}]}], ",", 
           RowBox[{"{", 
            RowBox[{"x1", ",", 
             RowBox[{
             "coordcalib", "\[LeftDoubleBracket]", "droppointshigh", 
              "\[RightDoubleBracket]"}], ",", 
             RowBox[{
             "coordcalib", "\[LeftDoubleBracket]", "droppointslow", 
              "\[RightDoubleBracket]"}]}], "}"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"grtheorydataRMS", "=", 
         RowBox[{"Show", "[", 
          RowBox[{"grRMSsmooth", ",", "grtheoryRMS", ",", 
           RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"grallsmooth", "=", 
         RowBox[{"Show", "[", 
          RowBox[{"grq1smooth", ",", "grRMSsmooth", ",", 
           RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ",", 
        RowBox[{"grall", "=", 
         RowBox[{"Show", "[", 
          RowBox[{"grq1", ",", "grRMS", ",", 
           RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ",", 
        RowBox[{"gralldatatheory", "=", 
         RowBox[{"Show", "[", 
          RowBox[{"grtheorydataq1", ",", "grtheorydataRMS", ",", 
           RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Kppdata", "=", 
         RowBox[{"Transpose", "[", 
          RowBox[{"{", 
           RowBox[{"coordcalib", ",", 
            RowBox[{
             RowBox[{"-", "25."}], 
             RowBox[{"Log", "[", 
              RowBox[{"10", ",", 
               RowBox[{"smooth1D", "[", 
                RowBox[{"10.", "^", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"moms", "[", 
                    RowBox[{"[", "13", "]"}], "]"}], "+", 
                   RowBox[{"moms", "[", 
                    RowBox[{"[", "9", "]"}], "]"}], "-", 
                   RowBox[{"2", " ", 
                    RowBox[{"moms", "[", 
                    RowBox[{"[", "11", "]"}], "]"}]}]}], ")"}]}], "]"}]}], 
              "]"}]}]}], "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"note", " ", "-", 
          RowBox[{
          "ve", " ", "sign", " ", "since", " ", "second", " ", "derivative", 
           " ", "of", " ", "psi", " ", "is", " ", "estimated"}]}], "*)"}], 
        ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"grKppsmooth", "=", 
         RowBox[{"ListPlot", "[", 
          RowBox[{"Kppdata", ",", 
           RowBox[{"Joined", "\[Rule]", "True"}], ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"Hue", "[", "0.75", "]"}]}], ",", 
           RowBox[{"BaseStyle", "->", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], ",", 
              RowBox[{"FontSize", "\[Rule]", "32"}]}], "}"}]}], ",", 
           RowBox[{"AxesLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
             "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\[CapitalDelta]t\>\"", ",", 
              "\"\<\\!\\(\\*SubscriptBox[\\(Log\\), \
\\(10\\)]\\)\!\(\*SuperscriptBox[\(\[CapitalDelta]t\), \(K'' \
\((1)\)\)]\)\>\""}], "}"}]}]}], "]"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"aaKpp", "=", 
          RowBox[{"Fit", "[", 
           RowBox[{
            RowBox[{"Take", "[", 
             RowBox[{"Kppdata", ",", 
              RowBox[{"{", 
               RowBox[{"droppointslow", ",", "droppointshigh"}], "}"}], ",", 
              "All"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "x1"}], "}"}], ",", "x1"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"interKpp", ",", "hqnegKpp"}], "}"}], "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
            "aaKpp", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
            ",", 
            RowBox[{
             RowBox[{
             "aaKpp", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
             "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
           "}"}]}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<alpha from graph slope = \>\"", ",", 
          RowBox[{"hqnegKpp", "/", "hqnegC1"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"grKpptheory", "=", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"interKpp", "+", 
            RowBox[{"hqnegKpp", " ", "x1"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"x1", ",", 
             RowBox[{
             "coordcalib", "\[LeftDoubleBracket]", "droppointshigh", 
              "\[RightDoubleBracket]"}], ",", 
             RowBox[{
             "coordcalib", "\[LeftDoubleBracket]", "droppointslow", 
              "\[RightDoubleBracket]"}]}], "}"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"grKpptheorydata", "=", 
         RowBox[{"Show", "[", 
          RowBox[{"grKppsmooth", ",", "grKpptheory", ",", 
           RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"grallC1Kpp", "=", 
         RowBox[{"Show", "[", 
          RowBox[{"grC1theorydata", ",", "grKpptheorydata"}], "]"}]}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{
          "the", " ", "above", " ", "make", " ", "various", " ", "useful", 
           " ", 
           RowBox[{"graphs", ".", "  ", "The"}], " ", "RMS", " ", 
           RowBox[{"(", 
            RowBox[{"root", " ", "mean", " ", "square"}], ")"}], " ", 
           "grRMS"}], ",", " ", 
          RowBox[{
          "can", " ", "be", " ", "compared", " ", "with", " ", "the", " ", 
           "first", " ", "order", " ", 
           RowBox[{"(", 
            RowBox[{"q", "=", "1"}], ")"}], " ", "graph"}], ",", " ", 
          RowBox[{
           RowBox[{"grq1", " ", 
            RowBox[{"(", 
             RowBox[{"together", ",", "grall"}], ")"}]}], " ", ";", " ", 
           RowBox[{
            RowBox[{
            "any", " ", "divergence", " ", "between", " ", "them", " ", 
             "indicates", " ", 
             RowBox[{"intermittency", ".", "  ", "This"}], " ", "is", " ", 
             "more", " ", "precisely", " ", "estimated", " ", "by", " ", 
             "the", " ", "graph", " ", "grC1", " ", "whose", " ", 
             "logarithmic", " ", "slope", " ", "is", " ", 
             RowBox[{"C1", ".", "  ", "There"}], " ", "is", " ", "also", " ", 
             "a", " ", "choice", " ", "of", " ", "smoothed", " ", "or", " ", 
             "unsmoothed", " ", 
             RowBox[{"moments", ".", "  ", "Smoothing"}], " ", "is", " ", 
             "often", " ", "justified", " ", "for", " ", "single", " ", 
             "series", " ", "since", " ", "the", " ", "statistics", " ", "at",
              " ", "20", " ", "lages", " ", "per", " ", "order", " ", "of", 
             " ", "magnitude", " ", "are", " ", "often", " ", 
             RowBox[{"poor", ".", " ", "grKppsmooth"}], " ", "gives", " ", 
             "a", " ", "curve", " ", "whose", " ", "logarithmic", " ", 
             "slope", " ", "is", " ", "an", " ", "estimate", " ", "of", " ", 
             "the", " ", "second", " ", "derivative", " ", "of", " ", "K", 
             RowBox[{"(", "q", ")"}], " ", "at", " ", "q"}], "=", 
            RowBox[{
            "1.", "  ", "This", " ", "is", " ", "C1", " ", "alpha"}]}]}], ",",
           " ", 
          RowBox[{
          "hence", " ", "it", " ", "can", " ", "be", " ", "used", " ", "to", 
           " ", "esitmate", " ", 
           RowBox[{"alpha", "."}]}]}], "*)"}], " ", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{
           RowBox[{
            RowBox[{
            "The", " ", "main", " ", "useful", " ", "graphs", " ", "are", " ",
              "gralldatatheory", " ", "which", " ", "has", " ", "RMS", " ", 
             RowBox[{"(", 
              RowBox[{"top", ",", "magenta"}], ")"}], " ", "and", " ", "q"}], 
            "=", 
            RowBox[{"1", " ", 
             RowBox[{"(", 
              RowBox[{"bottom", ",", " ", "cyan"}], ")"}], " ", "data", " ", 
             "with", " ", "regressions"}]}], ",", " ", 
           RowBox[{
           "and", " ", "grallC1Kpp", " ", "which", " ", "has", " ", "the", 
            " ", "C1", " ", "estimation", " ", "graph", " ", 
            RowBox[{"(", "red", ")"}], "  ", "with", " ", "regression", " ", 
            "and", " ", "the", " ", "second", " ", "derivative", " ", "of", 
            " ", "K", " ", "grpaph", " ", "with", " ", "regression", " ", 
            RowBox[{"(", "purple", ")"}]}]}], "*)"}],
         FontColor->RGBColor[1, 0, 1]], 
        StyleBox[",",
         FontColor->RGBColor[1, 0, 1]], "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"grschmitt", "=", 
         RowBox[{"ListPlot", "[", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"10", ",", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                  "psi", "\[LeftDoubleBracket]", "q", 
                   "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                  "\[RightDoubleBracket]"}], ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    "psi", "\[LeftDoubleBracket]", "q", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], " ", "psiprime0"}], "-", 
                  RowBox[{
                   RowBox[{
                   "psi", "\[LeftDoubleBracket]", "q", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "2", 
                   "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}]}], "]"}],
            ",", 
           RowBox[{"PlotStyle", "\[Rule]", 
            RowBox[{"Hue", "[", "0.9`", "]"}]}]}], "]"}]}], ",", 
        RowBox[{"alph", "=", 
         RowBox[{"Fit", "[", 
          RowBox[{
           RowBox[{"Log", "[", 
            RowBox[{"10", ",", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                  "psi", "\[LeftDoubleBracket]", "q", 
                   "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                  "\[RightDoubleBracket]"}], ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    "psi", "\[LeftDoubleBracket]", "q", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], " ", "psiprime0"}], "-", 
                  RowBox[{
                   RowBox[{
                   "psi", "\[LeftDoubleBracket]", "q", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "2", 
                   "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"q", ",", "1", ",", "qmax"}], "}"}]}], "]"}]}], "]"}],
            ",", 
           RowBox[{"{", 
            RowBox[{"1", ",", "xx"}], "}"}], ",", "xx"}], "]"}]}], ",", 
        RowBox[{"Print", "[", 
         RowBox[{"\"\<Schmitt \[Alpha]=  \>\"", ",", 
          RowBox[{
           RowBox[{
           "alph", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
           "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], "]"}], 
        ",", 
        RowBox[{"grschmitttheory", "=", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"alph", "/.", "\[InvisibleSpace]", 
            RowBox[{"xx", "\[Rule]", "xxx"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"xxx", ",", 
             RowBox[{"-", "1.`"}], ",", "0.5`"}], "}"}]}], "]"}]}], ",", 
        RowBox[{"grschmitttall", "=", 
         RowBox[{"Show", "[", 
          RowBox[{"grschmitttheory", ",", "grschmitt"}], "]"}]}], ","}], 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "this", " ", "uese", " ", "the", " ", "second", " ", "derivative", 
          " ", "of", " ", "psi", 
          RowBox[{"(", "q", ")"}], " ", "at", " ", "q"}], "=", 
         RowBox[{
          RowBox[{"0", " ", "to", " ", "estimate", " ", 
           RowBox[{"alpha", ".", "  ", "Only"}], " ", "valid", " ", "for", 
           " ", "alpha"}], ">", "1"}]}], "*)"}], "\[IndentingNewLine]", "}"}],
       ";", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Show", "[", "gralldatatheory", "]"}], ",", 
        RowBox[{"Show", "[", "grallC1Kpp", "]"}]}], "}"}]}]}], "]"}]}], 
  "\[IndentingNewLine]"}]], "Input"],

Cell["\<\
Note that if the values are too small there will be a truncation if in doubt, \
first normalize the series (variable xv) so that the mean is one\
\>", "Text",
 CellChangeTimes->{{3.616931476210739*^9, 3.616931534874435*^9}}]
},
WindowSize->{1440, 873},
WindowMargins->{{Automatic, 72}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1493, 41, 27, "Input"],
Cell[2053, 63, 110, 1, 26, "Text"],
Cell[2166, 66, 2443, 62, 65, "Input"],
Cell[4612, 130, 113, 1, 26, "Text"],
Cell[4728, 133, 64357, 1510, 2234, "Input"],
Cell[69088, 1645, 234, 4, 26, "Text"]
}
]
*)

(* End of internal cache information *)
